Savings

Get Savings Program Acquisitions

GET
/savings-programs/{savingsProgram}/acquisitions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

savingsProgram*string
Formatuuid

Query Parameters

limit?integer
Default20
offset?integer
Default0
filter[partnerUserId]?string
Formatuuid
sort_by?string

Value in

  • "clientExternalId"
  • "partnerUserId"
  • "createdAt"
sort_order?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/savings-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08/acquisitions"
{  "total": 0,  "savingsClientAcquisitions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "clientExternalId": 0,      "savingsProgramId": "e85e6f4f-93e7-4ca2-b1e5-e56a2346eaa3",      "partnerUserId": "44fdac44-a971-4677-9dc8-ac85dc826fb3",      "events": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "eventType": "savings_creation",          "referenceId": "string",          "occurredAt": "2019-08-24T14:15:22Z",          "metadata": {}        }      ],      "partnerProfile": {        "firstName": "string",        "middleName": "string",        "lastName": "string",        "contacts": [          {            "key": "string",            "value": "string"          }        ]      },      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}